Index: libfdcore/cnxctx.c
===================================================================
--- libfdcore/cnxctx.c	(revision 896)
+++ libfdcore/cnxctx.c	(revision 946)
@@ -229,7 +229,7 @@
 	
 	if (TRACE_BOOL(INFO)) {
-		fd_log_debug("%s : accepted new client [", fd_cnx_getid(serv));
-		sSA_DUMP_NODE( &ss, NI_NUMERICHOST );
-		fd_log_debug("].\n");
+		char buf[1024];
+		sSA_DUMP_NODE( buf, sizeof(buf), &ss, NI_NUMERICHOST );
+		fd_log_debug("%s : accepted new client [%s].\n", fd_cnx_getid(serv), buf);
 	}
 	
@@ -312,7 +312,7 @@
 	
 	if (TRACE_BOOL(INFO)) {
-		fd_log_debug("Connection established to server '");
-		sSA_DUMP_NODE_SERV( sa, NI_NUMERICSERV);
-		fd_log_debug("' (TCP:%d).\n", sock);
+		char buf[1024];
+		sSA_DUMP_NODE_SERV( buf, sizeof(buf), sa, NI_NUMERICSERV);
+		fd_log_debug("Connection established to server '%s' (TCP:%d).\n", buf, sock);
 	}
 	
@@ -404,7 +404,7 @@
 	
 	if (TRACE_BOOL(INFO)) {
-		fd_log_debug("Connection established to server '");
-		sSA_DUMP_NODE_SERV( &primary, NI_NUMERICSERV);
-		fd_log_debug("' (SCTP:%d, %d/%d streams).\n", sock, cnx->cc_sctp_para.str_in, cnx->cc_sctp_para.str_out);
+		char buf[1024];
+		sSA_DUMP_NODE_SERV( buf, sizeof(buf), &primary, NI_NUMERICSERV);
+		fd_log_debug("Connection established to server '%s' (SCTP:%d, %d/%d streams).\n", buf, sock, cnx->cc_sctp_para.str_in, cnx->cc_sctp_para.str_out);
 	}
 	
Index: libfdcore/config.c
===================================================================
--- libfdcore/config.c	(revision 897)
+++ libfdcore/config.c	(revision 946)
@@ -352,7 +352,7 @@
 				fd_list_unlink(&ep->chain);
 				if (TRACE_BOOL(INFO)) {
-					fd_log_debug("Info: Removing local address conflicting with the flags no_IP / no_IP6 : ");
-					sSA_DUMP_NODE( &ep->sa, NI_NUMERICHOST );
-					fd_log_debug("\n");
+					char buf[1024];
+					sSA_DUMP_NODE( buf, sizeof(buf), &ep->sa, NI_NUMERICHOST );
+					fd_log_debug("Info: Removing local address conflicting with the flags no_IP / no_IP6 : %s\n", buf);
 				}
 				free(ep);
Index: libfdcore/endpoints.c
===================================================================
--- libfdcore/endpoints.c	(revision 740)
+++ libfdcore/endpoints.c	(revision 946)
@@ -59,10 +59,10 @@
 	
 	if (TRACE_BOOL(ANNOYING + 1)) {
+		char buf[1024];
+		sSA_DUMP_NODE_SERV( buf, sizeof(buf), sa, NI_NUMERICHOST | NI_NUMERICSERV );
 		TRACE_DEBUG(ANNOYING, "  DEBUG:fd_ep_add_merge  Current list:");
 		fd_ep_dump( 4, list );
 		TRACE_DEBUG(ANNOYING, "  DEBUG:fd_ep_add_merge  Adding:");
-		fd_log_debug("    ");
-		sSA_DUMP_NODE_SERV( sa, NI_NUMERICHOST | NI_NUMERICSERV );
-		fd_log_debug(" {%s%s%s%s}\n", 
+		fd_log_debug("    %s {%s%s%s%s}\n", buf,
 				(flags & EP_FL_CONF) 	? "C" : "-",
 				(flags & EP_FL_DISC)	    ? "D" : "-",
@@ -336,16 +336,14 @@
 void fd_ep_dump_one( char * prefix, struct fd_endpoint * ep, char * suffix )
 {
-	if (prefix)
-		fd_log_debug("%s", prefix);
-	
-	sSA_DUMP_NODE_SERV( &ep->sa, NI_NUMERICHOST | NI_NUMERICSERV );
-	fd_log_debug(" {%s%s%s%s}", 
+	char buf[1024];
+	
+	sSA_DUMP_NODE_SERV( buf, sizeof(buf), &ep->sa, NI_NUMERICHOST | NI_NUMERICSERV );
+	fd_log_debug("%s%s {%s%s%s%s}%s", prefix ?: "", buf,
 			(ep->flags & EP_FL_CONF) 	? "C" : "-",
 			(ep->flags & EP_FL_DISC) 	? "D" : "-",
 			(ep->flags & EP_FL_ADV) 	? "A" : "-",
 			(ep->flags & EP_FL_LL) 		? "L" : "-",
-			(ep->flags & EP_FL_PRIMARY) 	? "P" : "-");
-	if (suffix)
-		fd_log_debug("%s", suffix);
+			(ep->flags & EP_FL_PRIMARY) 	? "P" : "-",
+			suffix ?: "");
 }
 
Index: libfdcore/sctp.c
===================================================================
--- libfdcore/sctp.c	(revision 894)
+++ libfdcore/sctp.c	(revision 946)
@@ -909,4 +909,6 @@
 	}
 	if (TRACE_BOOL(SCTP_LEVEL)) {
+		char buf[1024];
+		sSA_DUMP_NODE_SERV(buf, sizeof(buf), &status.sstat_primary.spinfo_address, NI_NUMERICHOST | NI_NUMERICSERV );
 		fd_log_debug( "SCTP_STATUS : sstat_state                  : %i\n" , status.sstat_state);
 		fd_log_debug( "              sstat_rwnd  	          : %u\n" , status.sstat_rwnd);
@@ -916,7 +918,5 @@
 		fd_log_debug( "		     sstat_outstrms 	          : %hu\n", status.sstat_outstrms);
 		fd_log_debug( "		     sstat_fragmentation_point    : %u\n" , status.sstat_fragmentation_point);
-		fd_log_debug( "		     sstat_primary.spinfo_address : ");
-		sSA_DUMP_NODE_SERV(&status.sstat_primary.spinfo_address, NI_NUMERICHOST | NI_NUMERICSERV );
-		fd_log_debug( "\n" );
+		fd_log_debug( "		     sstat_primary.spinfo_address : %s\n" , buf);
 		fd_log_debug( "		     sstat_primary.spinfo_state   : %d\n" , status.sstat_primary.spinfo_state);
 		fd_log_debug( "		     sstat_primary.spinfo_cwnd    : %u\n" , status.sstat_primary.spinfo_cwnd);
